from django.db import models
from django.shortcuts import get_object_or_404
from django.utils.translation import gettext_lazy as _


class Domain(models.Model):
    fqdn = models.CharField(
        _('FQDN'),
        max_length=255,
        unique=True,
    )

    def __str__(self):
        return self.fqdn

    @classmethod
    def get_from_request(cls, request):
        return get_object_or_404(cls, fqdn__iexact=request.META.get('HTTP_HOST', ''))
